#include <linux/unistd.h>
#include <sys/types.h>

static _syscall5(int, _llseek, int, fd, off_t, hi, off_t, lo,
		 loff_t *, res, int, whence);

loff_t
llseek(int fd, loff_t offset, int whence)
{
    loff_t res;

    return (_llseek(fd, (off_t)(offset>>32), (off_t)offset, &res, whence) == 0)
	          ? res
	          : -1;
} /* llseek */
